curl --request GET \
--url https://prod01.oms.fabric.inc/api/v2/inventory/aggregatedNetwork/query \
--header 'Authorization: Bearer <token>' \
--header 'x-site-context: <x-site-context>'import requests
url = "https://prod01.oms.fabric.inc/api/v2/inventory/aggregatedNetwork/query"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};
fetch('https://prod01.oms.fabric.inc/api/v2/inventory/aggregatedNetwork/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pagination": {
"total": 100,
"limit": 10,
"offset": 0
},
"networkAggregation": [
{
"networkCode": "Ship-to-home",
"sku": "SKU00025",
"virtualCounters": {
"availableToPurchase": 50
}
}
]
}{
"message": "Invalid request payload or parameter"
}{
"message": "Resource not found. If the issue persists please contact support@fabric.inc."
}{
"message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}Get aggregated networks
This endpoint lets you view the aggregated count of the inventory-network based on the network rule configuration (either by network ID or by SKU, or by both).
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Query Parameters
Show child attributes
Show child attributes
This object represents the process of separating data into different pages
Show child attributes
Show child attributes
Was this page helpful?
